ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nate Cole (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-21180) Component command changes must include version numbers for all services
Date Mon, 05 Jun 2017 21:41:04 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-21180?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Nate Cole updated AMBARI-21180:
-------------------------------
    Status: Patch Available  (was: Open)

> Component command changes must include version numbers for all services
> -----------------------------------------------------------------------
>
>                 Key: AMBARI-21180
>                 URL: https://issues.apache.org/jira/browse/AMBARI-21180
>             Project: Ambari
>          Issue Type: Task
>          Components: ambari-server
>            Reporter: Nate Cole
>            Assignee: Nate Cole
>            Priority: Critical
>             Fix For: 3.0.0
>
>         Attachments: AMBARI-21180.patch
>
>
> Component scripts need to understand when they have been patched, and supply the correct
version number such that the correct scripts are used.
> This will involve sending the component version information in commands.  Some components
that rely on others will need to construct commands correctly (say, Oozie scripts that require
HDP_VERSION environment variables)
> Remove: availableServices from the command json
> Add: componentVersionMap as a structure of component name to version string



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message